(*----------------------------------------------------------------------------*
 *  Direct3D sample for DirectX 8.x demostrating renderer for font format     *
 *     from Nitro: http://www.sulaco.co.za/nitrogen/                          *
 *  by Alexey Barkovoy                                                        *
 *  E-Mail: clootie@reactor.ru                                                *
 *                                                                            *
 *  Modified: 17-Mar-2002                                                     *
 *                                                                            *
 *  Latest version can be downloaded from:                                    *
 *     http://clootie.narod.ru                                                *
 *----------------------------------------------------------------------------*)

program Demo1;

{$I DirectX.inc}

uses
  Windows,
{$IFDEF TMT}
  Demo1Unt;
{$ELSE}
  NitroFnt in 'NitroFnt.pas',
  Demo1Unit in 'Demo1Unit.pas';
{$ENDIF}

{$R winmain.res}

//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and goes into a
//       message-processing loop. Idle time is used to render the scene.
//-----------------------------------------------------------------------------
var
  {$IFDEF TMT}
  d3dApp: PMyD3DApplication;
  {$ELSE}
  d3dApp: CMyD3DApplication;
  {$ENDIF}
begin
  {$IFDEF TMT}
  New(d3dApp, Create);
  {$ELSE}
  d3dApp:= CMyD3DApplication.Create;
  {$ENDIF}
  // "Create_" isn't a constructor is regular function
  if FAILED(d3dApp{$IFDEF TMT}^{$ENDIF}.Create_(HInstance)) then Exit;
  d3dApp{$IFDEF TMT}^{$ENDIF}.Run;
  {$IFDEF TMT}
  Dispose(d3dApp, Destroy)
  {$ELSE}
  d3dApp.Free;
  {$ENDIF}
end.